| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTimerEvent Struct Reference

A timer event. More...

`#include <iutil/timer.h>`

Inheritance diagram for iTimerEvent:

[legend]
List of all members.

## Public Member Functions
virtual bool | Perform (iTimerEvent *ev)=0
| Perform the event.

## Detailed Description

A timer event.

Definition at line 32 of file timer.h.

## Member Function Documentation

virtual bool iTimerEvent::Perform | ( | iTimerEvent * | ev | ) | `[pure virtual]`

Perform the event.

If this returns true the event is re-scheduled. Otherwise the event will be removed from the event timer.

The documentation for this struct was generated from the following file:

- iutil/timer.h